## ros-one-cmd-vel-smoother 0.1.18-14jammy.20251023.0247

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cmd_vel_smoother)

find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
  geometry_msgs
  roscpp
)

find_package(Boost REQUIRED COMPONENTS system)

generate_dynamic_reconfigure_options(
  cfg/CmdVelSmoother.cfg
)

catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

add_executable(cmd_vel_smoother src/cmd_vel_smoother.cpp)
target_link_libraries(cmd_vel_smoother
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)
add_dependencies(cmd_vel_smoother ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_genmsg)

install(TARGETS cmd_vel_smoother
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-one-cmd-vel-smoother (0.1.18-14jammy.20251023.0247) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 02:47:29 +0000

ros-one-cmd-vel-smoother (0.1.18-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Dec 2024 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.17-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 28 May 2023 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.16-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 27 Oct 2022 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.15-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 16 May 2018 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.14-0jammy) jammy; urgency=high

  * add cmd_vel_smoother package (#683 <https://github.com/jsk-ros-pkg/jsk_control/issues/683>)
    * add cmd_vel_smoother package
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 15 Jan 2018 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.13-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 18 Apr 2017 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.12-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.11-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.10-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 15 Dec 2016 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.9-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 23 Mar 2016 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.8-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 02 Nov 2015 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.7-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 01 Nov 2015 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.6-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

=== debian/control ===
Source: ros-one-cmd-vel-smoother
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-cmd-vel-smoother
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-roscpp
Description: The cmd_vel_smoother package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-cmd-vel-smoother//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-cmd-vel-smoother 0.1.18-14jammy.20260220.2330

=== debian/changelog ===
ros-one-cmd-vel-smoother (0.1.18-14jammy.20260220.2330) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 20 Feb 2026 23:30:50 +0000

## ros-one-cmd-vel-smoother 0.1.18-14noble.20251023.0245

=== debian/changelog ===
ros-one-cmd-vel-smoother (0.1.18-14noble.20251023.0245) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 02:45:36 +0000

ros-one-cmd-vel-smoother (0.1.18-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Dec 2024 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.17-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 28 May 2023 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.16-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 27 Oct 2022 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.15-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 16 May 2018 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.14-0noble) noble; urgency=high

  * add cmd_vel_smoother package (#683 <https://github.com/jsk-ros-pkg/jsk_control/issues/683>)
    * add cmd_vel_smoother package
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 15 Jan 2018 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.13-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 18 Apr 2017 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.12-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.11-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.10-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 15 Dec 2016 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.9-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 23 Mar 2016 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.8-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 02 Nov 2015 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.7-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 01 Nov 2015 00:00:00 -0000

ros-one-cmd-vel-smoother (0.1.6-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

## ros-one-cmd-vel-smoother 0.1.18-14noble.20260220.2351

=== debian/changelog ===
ros-one-cmd-vel-smoother (0.1.18-14noble.20260220.2351) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 20 Feb 2026 23:51:20 +0000
